<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Send Letter</title>
  </head>

  <style>
      body{
          padding: 25px;
          background-color: lightcyan;
          display: grid;
          justify-content: center;
          align-items: center;

      }

    .form{
        font-family: sans-serif;
        font-size: 16px;
        position: relative;
        width: 20rem;
        background-color: aquamarine;
        border-radius: 20px;
        padding: 50px 70px;

        
    }

    .form *{
        box-sizing: border-box;
        line-height: 1;
    }
    
    .form_title{
        font-size: 2em;
        line-height: 1.5;
    }

    .form_item{
        display: flex;
        flex-direction: column;
        font-family: sans-serif;
    }

    .form_item>*{
        align-self: flex-start;
    }

    .form_label{
        font-weight: bold;
        padding: 3px 0;
    }

    .form_input{
        
        -webkit-appearance: none;

        width: 100%;
        max-width: 250px;

        min-height: calc(0.9em+(0.8em*2)+0.6em);

        padding: 0.8em;
        font-size: 0.9em;
        font-family: sans-serif;

        outline: none;
        border: 1px solid #dddddd;
        border-radius: 4px;
        background: #f9f9f9;
        transition: background 0.25s, border-color 0.25, color 0.25;

    }

    textarea.form_input{
        resize: none;
        min-height: 200px;
        
    }
    
    label.logo{
        color: antiquewhite;
        font-size: 30px;
        line-height: 80px;
        padding: 0 100px;
        font-weight: bold;
    }

    nav{
        background: rgb(228, 121, 183);
        width: 100%;
        border-radius: 40px;
        padding: 30px;
        box-sizing: border-box;
        font-family: sans-serif;
        font-weight: bold;
    }
    nav ul{
        padding-left: 70px;
    }
    nav ul li{
        display: inline-block;
    }
    nav ul li a{
        color:antiquewhite;
        font-size: 18px;
        border-radius: 4px;
        padding:7px 13px ;
        text-transform: uppercase;
        
    }

    a.active,a:hover{
        background-color: rgb(224, 87, 167);
        transition: .5s;
    }

  </style>

<body>
    <nav>
        <label class="logo">Navigation Bar</label>
        <ul>
            <li><a class="active" href='/lab-4/'>Index</a></li>
            <li><a class="active" href="addnote">Form</a></li>
            <li><a class="active" href="notelist">Note List </a></li>
        </ul>
    </nav>
    <form class="form" action = "" method = "POST">

            {% csrf_token %}
            <div class="form_title">Send Letter</div>
            
            <div class="form_item">
                
            <label for="to"class=form_label>To</label><br>
            <input type="text" class=form_input id="to" name="to"><br>
            
            <label for="fromAsal"class=form_label>From</label><br>
            <input type="text" class=form_input id="fromAsal" name="fromAsal"><br>
            
            <label for="title"class=form_label>Title</label><br>
            <input type="text" class=form_input id="title" name="title"><br>
            
            <label for="message"class=form_label>Message</label><br>
            <textarea maxlength='250' type="text" class=form_input id="message" name="message"></textarea><br>
            
            <input type="submit" value="Submit">
        </div>
    </form>
  </body>
</html>